<?php
/**
 * @copyright   Copyright (c) 2017 https://www.sapixx.com All rights reserved.
 * @license     Licensed (http://www.apache.org/licenses/LICENSE-2.0).
 * @author      pillar<ltmn@qq.com>
 * 广告位管理
 */
namespace app\smartbc\model;
use think\Model;

class SmartbcAdwords extends Model{
      
    protected $pk = 'id';
    protected $autoWriteTimestamp = true;
    protected $updateTime = false;

    //添加或编辑
    public static function edit($param){
        $data['group']       = trim($param['group']);
        $data['title']       = trim($param['title']);
        $data['link']        = trim($param['link']);
        $data['picture']     = trim($param['picture']);
        $data['open_type']   = trim($param['open_type']);
        $data['update_time'] = time();
        if(empty($param['id'])){
            $data['create_time']         = time();
            $data['member_miniapp_id']   = $param['member_miniapp_id'];
            return self::insert($data);
        }else{
            $condition['id'] = $param['id'];
            $condition['member_miniapp_id'] = $param['member_miniapp_id'];
            return self::update($data,$condition);
        }
    }
}